Debian Bug report logs - #663193
gnumeric: FTBFS: aborting due to unexpected upstream changes

version graph

Package: gnumeric; Maintainer for gnumeric is Dmitry Smirnov <onlyjob@debian.org>; Source for gnumeric is src:gnumeric.

Reported by: Moritz Muehlenhoff <muehlenhoff@univention.de>

Date: Fri, 9 Mar 2012 10:10:35 UTC

Severity: serious

Tags: patch

Found in version gnumeric/1.10.17-1

Fixed in version gnumeric/1.10.17-1.1

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, J.H.M. Dassen (Ray) <jdassen@debian.org>:
Bug#663193; Package gnumeric. (Fri, 09 Mar 2012 10:10:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
New Bug report received and forwarded. Copy sent to J.H.M. Dassen (Ray) <jdassen@debian.org>. (Fri, 09 Mar 2012 10:11:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <muehlenhoff@univention.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnumeric: FTBFS: aborting due to unexpected upstream changes
Date: Fri, 09 Mar 2012 11:08:51 +0100
Package: gnumeric
Version: 1.10.17-1
Severity: serious

Your package fails to build from source:

jmm@sid:~/gnumeric-1.10.17$ dpkg-buildpackage 
dpkg-buildpackage: source package gnumeric
dpkg-buildpackage: source version 1.10.17-1
dpkg-buildpackage: source changed by J.H.M. Dassen (Ray) <jdassen@debian.org>
dpkg-buildpackage: host architecture amd64
 dpkg-source --before-build gnumeric-1.10.17
 fakeroot debian/rules clean
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp debian/*substvars debian/*~ \
                debian/buildinfo
rm -rf debian/tmp build
# Update config.{sub,guess} from autotools-dev, if possible.
for f in config.sub config.guess ; do \
                if test -r /usr/share/misc/$f ; then \
                        OLDDATE=`./$f -t | tr -d -` ; \
                        NEWDATE=`/usr/share/misc/$f -t | tr -d -` ; \
                        if [ $OLDDATE -lt $NEWDATE ] ; then \
                                echo "GNU config automated update of $f (replacing $OLDDATE with $NEWDATE)" 1>&2 ; \
                                cp -f /usr/share/misc/$f $f ; \
                        fi; \
                fi; \
        done
GNU config automated update of config.sub (replacing 20110323 with 20120210)
GNU config automated update of config.guess (replacing 20110511 with 20120210)
debconf-updatepo
find -type f -name 'Makefile.in' | sed -e 's/\.in$//' | xargs rm -f
rm -f po/*.gmo
# Clean out files generated as part of the documentation generation
rm -f doc/C/index.html doc/C/gnumeric.html doc/C/ld-id*.html \
                omf-install/gnumeric-C.omf
rm -rf doc/C/gnumeric doc/C/DBTOHTML_OUTPUT_DIR*
rm -rf aclocal.m4 config.h.in stamp-h.in autom4te.cache \
                doc/C/gnumeric.junk
rm -f GNOME_Gnumeric.server.in GNOME_Gnumeric.server src/gnumeric-paths.h
dh_clean
 dpkg-source -b gnumeric-1.10.17
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building gnumeric using existing ./gnumeric_1.10.17.orig.tar.bz2
dpkg-source: warning: ignoring deletion of file aclocal.m4
dpkg-source: info: local changes detected, the modified files are:
 gnumeric-1.10.17/config.guess
 gnumeric-1.10.17/config.sub
dpkg-source: info: you can integrate the local changes with dpkg-source --commit
dpkg-source: error: aborting due to unexpected upstream changes, see /tmp/gnumeric_1.10.17-1.diff.jKEZZs
dpkg-buildpackage: error: dpkg-source -b gnumeric-1.10.17 gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, J.H.M. Dassen (Ray) <jdassen@debian.org>:
Bug#663193; Package gnumeric. (Sat, 10 Mar 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to J.H.M. Dassen (Ray) <jdassen@debian.org>. (Sat, 10 Mar 2012 08:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 663193@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 663193@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: gnumeric: 663193: FTBFS due to replacing config.sub/guess in clean
Date: Sat, 10 Mar 2012 16:25:33 +0800
[Message part 1 (text/plain, inline)]
tags 663193 + patch
thanks

The problem is caused by replacing config.guess/sub in the clean target
instead of in the build target.

The attached patch should fix this FTBFS in a minimal way.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[gnumeric-fix-FTBFS.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 10 Mar 2012 08:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, J.H.M. Dassen (Ray) <jdassen@debian.org>:
Bug#663193; Package gnumeric. (Sat, 12 May 2012 14:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to J.H.M. Dassen (Ray) <jdassen@debian.org>. (Sat, 12 May 2012 14:42:19 GMT) Full text and rfc822 format available.

Message #17 received at 663193@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 663193@bugs.debian.org
Subject: Extended the patch for NMU
Date: Sat, 12 May 2012 15:32:21 +0100
[Message part 1 (text/plain, inline)]
diffstat for gnumeric-1.10.17 gnumeric-1.10.17

 changelog                                  |    8 
 patches/refresh-config-sub-guess-1.10.17-1 | 1167 -----------------------------
 patches/series                             |    1
 rules                                      |   14 4 files changed, 11 insertions(+), 1179 deletions(-)

The refresh-config-sub-guess-1.10.17-1 patch is unnecessary,
implementing Paul's patch and adding the base of the original clean
target into the build target solves the issues with config.sub and
config.guess properly.

diff -Nru gnumeric-1.10.17/debian/rules gnumeric-1.10.17/debian/rules
--- gnumeric-1.10.17/debian/rules       2011-06-18 12:43:08.000000000
+0100 +++ gnumeric-1.10.17/debian/rules       2012-05-12
15:02:53.000000000 +0100 @@ -107,6 +107,8 @@
        # Prepare for build
         
        mkdir build
+       cp /usr/share/misc/config.sub .
+       cp /usr/share/misc/config.guess .
        cd build && env srcdir=`pwd`/.. \
                ../configure $(confflags) "CC=$(CC) $(LDFLAGS)" "CFLAGS=
$(CFLAGS)" 
@@ -139,17 +141,7 @@
 
        rm -rf debian/tmp build
 
-       # Update config.{sub,guess} from autotools-dev, if possible.
-       -for f in config.sub config.guess ; do \
-               if test -r /usr/share/misc/$$f ; then \
-                       OLDDATE=`./$$f -t | tr -d -` ; \
-                       NEWDATE=`/usr/share/misc/$$f -t | tr -d -` ; \
-                       if [ $$OLDDATE -lt $$NEWDATE ] ; then \
-                               echo "GNU config automated update of $$f (replacing $$OLDDATE with $$NEWDATE)" 1>&2 ; \
-                               cp -f /usr/share/misc/$$f $$f ; \
-                       fi; \
-               fi; \
-       done
+       rm -f config.sub config.guess
 
        debconf-updatepo
 

Maintainer: Neil Williams <codehelp@debian.org>
Date: Sat, 12 May 2012 14:58:17 +0100
Closes: 663193
Changes: 
 gnumeric (1.10.17-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix unexpected upstream changes with patch from Paul
     Wise, extended to remove previous config.sub patch.  (Closes: #663193)
   * Also add explicit build-depends on autotools-dev for config.sub and
     config.guess




-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 12 May 2012 15:33:10 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
Bug acknowledged by developer. (Sat, 12 May 2012 15:33:11 GMT) Full text and rfc822 format available.

Message #22 received at 663193-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 663193-close@bugs.debian.org
Subject: Bug#663193: fixed in gnumeric 1.10.17-1.1
Date: Sat, 12 May 2012 15:30:28 +0000
Source: gnumeric
Source-Version: 1.10.17-1.1

We believe that the bug you reported is fixed in the latest version of
gnumeric, which is due to be installed in the Debian FTP archive:

gnumeric-common_1.10.17-1.1_all.deb
  to main/g/gnumeric/gnumeric-common_1.10.17-1.1_all.deb
gnumeric-doc_1.10.17-1.1_all.deb
  to main/g/gnumeric/gnumeric-doc_1.10.17-1.1_all.deb
gnumeric-plugins-extra_1.10.17-1.1_amd64.deb
  to main/g/gnumeric/gnumeric-plugins-extra_1.10.17-1.1_amd64.deb
gnumeric_1.10.17-1.1.debian.tar.gz
  to main/g/gnumeric/gnumeric_1.10.17-1.1.debian.tar.gz
gnumeric_1.10.17-1.1.dsc
  to main/g/gnumeric/gnumeric_1.10.17-1.1.dsc
gnumeric_1.10.17-1.1_amd64.deb
  to main/g/gnumeric/gnumeric_1.10.17-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663193@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated gnumeric package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 May 2012 14:58:17 +0100
Source: gnumeric
Binary: gnumeric gnumeric-common gnumeric-doc gnumeric-plugins-extra
Architecture: source all amd64
Version: 1.10.17-1.1
Distribution: unstable
Urgency: low
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 gnumeric   - spreadsheet application for GNOME - main program
 gnumeric-common - spreadsheet application for GNOME - common files
 gnumeric-doc - spreadsheet application for GNOME - documentation
 gnumeric-plugins-extra - spreadsheet application for GNOME - additional plugins
Closes: 663193
Changes: 
 gnumeric (1.10.17-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix unexpected upstream changes with patch from Paul
     Wise, extended to remove previous config.sub patch.  (Closes: #663193)
   * Also add explicit build-depends on autotools-dev for config.sub and
     config.guess
Checksums-Sha1: 
 1b62ee9fa96866f4df14c6c9ddb7166c8fca4e24 1799 gnumeric_1.10.17-1.1.dsc
 6b80cca8570577ab217cf1996765be8835ceb87b 47336 gnumeric_1.10.17-1.1.debian.tar.gz
 fc8aafe4f7808fa33f8edcb3ab21dbc83fde404c 4219856 gnumeric-common_1.10.17-1.1_all.deb
 a643e34cef23f615d0038684476458ba473b2b10 6823090 gnumeric-doc_1.10.17-1.1_all.deb
 8bd7b55f040bf2bd7d5c9706da10b03914523cd0 2732908 gnumeric_1.10.17-1.1_amd64.deb
 5f811f49087d099c06020bac1416fc8c058b8b2a 219170 gnumeric-plugins-extra_1.10.17-1.1_amd64.deb
Checksums-Sha256: 
 8c58d548fdedeca16a2adb57b802eddb68e1bf61ee6a4af4179a9d9de64fd858 1799 gnumeric_1.10.17-1.1.dsc
 a117b00eb31846fa8287a253eb46ebc31fec00393c2af06da65219ec301934d3 47336 gnumeric_1.10.17-1.1.debian.tar.gz
 772fc95a5e34b2a74d89069e299b7146967e281d63a151bb6bea25eec3b41206 4219856 gnumeric-common_1.10.17-1.1_all.deb
 b075dcb44c20d700dd5ed025ca9801d25a6d56ffad01b21e2a11b22cec874063 6823090 gnumeric-doc_1.10.17-1.1_all.deb
 7a88f2b25fdfae298587193adfae6db0d78fd188134bfc208fae4654260c70bd 2732908 gnumeric_1.10.17-1.1_amd64.deb
 7c90b82e9cf195cc6042cbbcb453f5fd831e15bc1516138f4920c6701a79872d 219170 gnumeric-plugins-extra_1.10.17-1.1_amd64.deb
Files: 
 3dd3e16152118f7a5666fca0b3b60aed 1799 math optional gnumeric_1.10.17-1.1.dsc
 e347f139599b5ae1903a654d3700f0b5 47336 math optional gnumeric_1.10.17-1.1.debian.tar.gz
 8cfc4ec5b4eae4df70f8f94fa678c2be 4219856 math optional gnumeric-common_1.10.17-1.1_all.deb
 09e786e785f0a93bc5e8634c594426b5 6823090 doc optional gnumeric-doc_1.10.17-1.1_all.deb
 d588048b537a6a3937a3d4def79af50f 2732908 math optional gnumeric_1.10.17-1.1_amd64.deb
 495444701e340f2c51e648ffc36fc40a 219170 math optional gnumeric-plugins-extra_1.10.17-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+udV4ACgkQiAEJSii8s+P1cwCeNNnjB/p4MiPJbmLzz92cQwYi
yR0An2YjX5EayfPNroDFWGj7SnZfb6Wr
=GZlA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jul 2012 07:46:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:48:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.